Debian Bug report logs - #464191
Reintroduce Maestro firmware

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Rob Bochan <robslaptop@gmail.com>

Date: Tue, 5 Feb 2008 18:06:02 UTC

Severity: wishlist

Tags: wontfix

Merged with 465161

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Rob Bochan <robslaptop@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rob Bochan <robslaptop@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Sound broken with linux-image-2.6.24-1-686
Date: Tue, 05 Feb 2008 13:02:51 -0500
Package: linux-image-2.6.24-1-686
Version: 2.6.24-2
Severity: normal

With the upgrade to linux-image-2.6.24-1-686, sound no onger works on this
machine. Strting KDE gives me the artsmessage "Error while initializing the
sound driver:
device /dev/dsp can't be opened (No such file or directory)"
It does work properly with the previous kernels, including 2.6.22-3-686.
lspci lists:
'$ lspci |grep audio
00:0d.0 Multimedia audio controller: ESS Technology ES1983S Maestro-3i PCI
Audio Accelerator'

-- Package-specific info:
** Version:
Linux version 2.6.24-1-686 (Debian 2.6.24-2) (waldi@debian.org) (gcc version 4.1.3 20080114 (prerelease) (Debian 4.1.2-19)) #1 SMP Thu Jan 31 20:35:50 UTC 2008

** Command line:
root=/dev/hda2 ro vga=792

** Not tainted

** Kernel log:
ACPI: PCI Interrupt Link [LNKD] enabled at IRQ 10
ACPI: PCI Interrupt 0000:00:07.2[D] -> Link [LNKD] -> GSI 10 (level, low) -> IRQ 10
uhci_hcd 0000:00:07.2: UHCI Host Controller
uhci_hcd 0000:00:07.2: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:07.2: irq 10, io base 0x00001880
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
PIIX4: IDE controller (0x8086:0x7111 rev 0x01) at  PCI slot 0000:00:07.1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x18a0-0x18a7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0x18a8-0x18af, BIOS settings: hdc:pio, hdd:pio
Probing IDE interface ide0...
usb 1-1: new low speed USB device using uhci_hcd and address 2
usb 1-1: configuration #1 chosen from 1 choice
hda: IBM-DARA-218000, ATA DISK drive
hda: host max PIO4 wanted PIO255(auto-tune) selected PIO4
hda: UDMA/33 mode selected
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
SCSI subsystem initialized
libata version 3.00 loaded.
hda: max request size: 128KiB
hda: 35433216 sectors (18141 MB) w/418KiB Cache, CHS=35152/16/63
hda: cache flushes not supported
 hda: hda1 hda2 hda3
usbcore: registered new interface driver hiddev
input: Kensington      Kensington USB/PS2 Wheel Mouse as /class/input/input1
input,hidraw0: USB HID v1.10 Mouse [Kensington      Kensington USB/PS2 Wheel Mouse] on usb-0000:00:07.2-1
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
Attempting manual resume
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
input: PC Speaker as /class/input/input2
Real Time Clock Driver v1.12ac
parport_pc 00:0a: reported by Plug and Play ACPI
parport0: PC-style at 0x378 (0x778), irq 7, dma 3 [PCSPP,TRISTATE,COMPAT,ECP,DMA]
Linux agpgart interface v0.102
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
shpchp: Standard Hot Plug PCI Controller Driver version: 0.4
Yenta: CardBus bridge found at 0000:00:0a.0 [103c:0010]
Yenta: Enabling burst memory read transactions
Yenta: Using INTVAL to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:00:0a.0, mfunc 0x012c1272, devctl 0x66
Yenta: ISA IRQ mask 0x0838, PCI irq 10
Socket status: 30000006
Yenta: CardBus bridge found at 0000:00:0a.1 [103c:0010]
Yenta: Using INTVAL to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:00:0a.1, mfunc 0x012c1272, devctl 0x66
Yenta: ISA IRQ mask 0x0838, PCI irq 10
Socket status: 30000006
agpgart: Detected an Intel 440BX Chipset.
agpgart: AGP aperture is 64M @ 0xf8000000
piix4_smbus 0000:00:07.3: Found 0000:00:07.3 device
ACPI: PCI Interrupt Link [LNKC] enabled at IRQ 5
PCI: setting IRQ 5 as level-triggered
ACPI: PCI Interrupt 0000:00:0d.0[A] -> Link [LNKC] -> GSI 5 (level, low) -> IRQ 5
ACPI: PCI interrupt for device 0000:00:0d.0 disabled
Maestro3: probe of 0000:00:0d.0 failed with error -2
input: Power Button (FF) as /class/input/input3
ACPI: Power Button (FF) [PWRF]
input: Lid Switch as /class/input/input4
ACPI: Lid Switch [LID]
input: Sleep Button (CM) as /class/input/input5
ACPI: Sleep Button (CM) [SLP]
Synaptics Touchpad, model: 1, fw: 5.4, id: 0x9b54b1, caps: 0x844793/0x0
serio: Synaptics pass-through port at isa0060/serio1/input0
input: SynPS/2 Synaptics TouchPad as /class/input/input6
cs: IO port probe 0x100-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x100-0x4ff: excluding 0x4d0-0x4d7
cs: IO port probe 0x800-0x8ff: clean.
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0x800-0x8ff: clean.
cs: IO port probe 0xa00-0xaff: clean.
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0xa00-0xaff: clean.
ACPI: AC Adapter [ACAD] (on-line)
ACPI: Battery Slot [BAT1] (battery present)
ACPI: Battery Slot [BAT2] (battery absent)
input: Video Bus as /class/input/input7
ACPI: Video Device [VGA] (multi-head: yes  rom: no  post: no)
IBM TrackPoint firmware: 0x0b, buttons: 2/3
input: TPPS/2 IBM TrackPoint as /class/input/input8
Adding 960112k swap on /dev/hda3.  Priority:-1 extents:1 across:960112k
EXT3 FS on hda2, internal journal
Initializing USB Mass Storage driver...
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
[drm] Initialized drm 1.1.0 20060810
device-mapper: uevent: version 1.0.3
device-mapper: ioctl: 4.12.0-ioctl (2007-10-02) initialised: dm-devel@redhat.com
eth0:  setting full-duplex.
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
lp0: using parport0 (interrupt-driven).
ppdev: user-space parallel port driver
eth0: no IPv6 routers present

** Loaded modules:
Module                  Size  Used by
ppdev                   8804  0 
lp                     11076  0 
ipv6                  240772  18 
dm_snapshot            16964  0 
dm_mirror              21600  0 
dm_mod                 55812  2 dm_snapshot,dm_mirror
drm                    74036  0 
usb_storage            77440  0 
ati_agp                 8684  0 
ide_cd                 36224  0 
cdrom                  32512  1 ide_cd
joydev                 11360  0 
video                  18672  0 
output                  3744  1 video
battery                 8640  0 
container               4864  0 
ac                      4544  0 
pcmcia                 37036  0 
psmouse                36464  0 
serio_raw               6660  0 
button                  8432  0 
snd_maestro3           21188  0 
firmware_class          9408  2 pcmcia,snd_maestro3
snd_ac97_codec         92932  1 snd_maestro3
i2c_piix4               8428  0 
intel_agp              23412  1 
ac97_bus                2176  1 snd_ac97_codec
i2c_core               22432  1 i2c_piix4
yenta_socket           24844  2 
rsrc_nonstatic         11872  1 yenta_socket
pcmcia_core            36884  3 pcmcia,yenta_socket,rsrc_nonstatic
shpchp                 31028  0 
pci_hotplug            27712  1 shpchp
agpgart                31688  3 drm,ati_agp,intel_agp
parport_pc             33668  1 
parport                34280  3 ppdev,lp,parport_pc
evdev                  11104  6 
snd_pcm                71780  2 snd_maestro3,snd_ac97_codec
snd_timer              21092  1 snd_pcm
snd_page_alloc         10056  1 snd_pcm
snd                    48612  4 snd_maestro3,snd_ac97_codec,snd_pcm,snd_timer
soundcore               7552  1 snd
rtc                    13052  0 
pcspkr                  3200  0 
ext3                  122920  1 
jbd                    43732  1 ext3
mbcache                 8288  1 ext3
usbhid                 28096  0 
hid                    34272  1 usbhid
ide_disk               15648  3 
ata_generic             7428  0 
libata                144464  1 ata_generic
scsi_mod              141196  2 usb_storage,libata
piix                    7492  0 [permanent]
generic                 4388  0 [permanent]
uhci_hcd               23376  0 
ide_core              108292  4 ide_cd,ide_disk,piix,generic
3c59x                  41064  0 
mii                     5312  1 3c59x
usbcore               132940  4 usb_storage,usbhid,uhci_hcd
floppy                 54628  0 
thermal                16028  0 
processor              36520  2 thermal
fan                     4772  0 

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX Host bridge [8086:7190] (rev 03)
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 64
	Region 0: Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel
	Kernel modules: intel-agp

00:01.0 PCI bridge [0604]: Intel Corporation 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge [8086:7191] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz+ UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 128
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=64
	I/O behind bridge: 00009000-00009fff
	Memory behind bridge: f4100000-f5ffffff
	Prefetchable memory behind bridge: 30000000-300fffff
	Secondary status: 66MHz+ FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA+ MAbort- >Reset- FastB2B+
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Kernel modules: shpchp

00:07.0 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ISA [8086:7110] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle+ MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

00:07.1 IDE interface [0101]: Intel Corporation 82371AB/EB/MB PIIX4 IDE [8086:7111] (rev 01) (prog-if 80 [Master])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Region 0: [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 1: [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
	Region 2: [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
	Region 3: [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
	Region 4: I/O ports at 18a0 [size=16]
	Kernel driver in use: PIIX_IDE
	Kernel modules: piix

00:07.2 USB Controller [0c03]: Intel Corporation 82371AB/EB/MB PIIX4 USB [8086:7112] (rev 01) (prog-if 00 [UHCI])
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64
	Interrupt: pin D routed to IRQ 10
	Region 4: I/O ports at 1880 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:07.3 Bridge [0680]: Intel Corporation 82371AB/EB/MB PIIX4 ACPI [8086:7113] (rev 03)
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin ? routed to IRQ 9
	Kernel driver in use: piix4_smbus
	Kernel modules: i2c-piix4

00:0a.0 CardBus bridge [0607]: Texas Instruments PCI1420 PC card Cardbus Controller [104c:ac51]
	Subsystem: Hewlett-Packard Company Unknown device [103c:0010]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at 30120000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=02, subordinate=05, sec-latency=176
	Memory window 0: 20000000-23fff000 (prefetchable)
	Memory window 1: 24000000-27fff000
	I/O window 0: 00001c00-00001cff
	I/O window 1: 00002000-000020ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus
	Kernel modules: yenta_socket

00:0a.1 CardBus bridge [0607]: Texas Instruments PCI1420 PC card Cardbus Controller [104c:ac51]
	Subsystem: Hewlett-Packard Company Unknown device [103c:0010]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 32 bytes
	Interrupt: pin B routed to IRQ 10
	Region 0: Memory at 30121000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=00, secondary=06, subordinate=09, sec-latency=176
	Memory window 0: 28000000-2bfff000 (prefetchable)
	Memory window 1: 2c000000-2ffff000
	I/O window 0: 00002400-000024ff
	I/O window 1: 00002800-000028ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus
	Kernel modules: yenta_socket

00:0b.0 Ethernet controller [0200]: 3Com Corporation 3c556 Hurricane CardBus [Cyclone] [10b7:6055] (rev 10)
	Subsystem: 3Com Corporation Unknown device [10b7:6256]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 80 (2500ns min, 1250ns max), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: I/O ports at 1800 [size=128]
	Region 1: Memory at f4002400 (32-bit, non-prefetchable) [size=128]
	Region 2: Memory at f4002000 (32-bit, non-prefetchable) [size=128]
	[virtual] Expansion ROM at 30100000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: 3c59x
	Kernel modules: 3c59x

00:0b.1 Communication controller [0780]: 3Com Corporation Mini PCI 56k Winmodem [10b7:1007] (rev 10)
	Subsystem: 3Com Corporation Unknown device [10b7:6158]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 10
	Region 0: I/O ports at 1000 [size=256]
	Region 1: Memory at f4002c00 (32-bit, non-prefetchable) [size=256]
	Region 2: Memory at f4002800 (32-bit, non-prefetchable) [size=128]
	Capabilities: <access denied>

00:0d.0 Multimedia audio controller [0401]: ESS Technology ES1983S Maestro-3i PCI Audio Accelerator [125d:1998]
	Subsystem: Hewlett-Packard Company Unknown device [103c:0010]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 5
	Region 0: I/O ports at 1400 [size=256]
	Region 1: Memory at f4000000 (32-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel modules: snd-maestro3

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Rage Mobility P/M AGP 2x [1002:4c4d] (rev 64) (prog-if 00 [VGA controller])
	Subsystem: Hewlett-Packard Company Unknown device [103c:0010]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping+ SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 66 (2000ns min), Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at f5000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: I/O ports at 9000 [size=256]
	Region 2: Memory at f4100000 (32-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at 30000000 [disabled] [size=128K]
	Capabilities: <access denied>



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.24-1-686 depends on:
ii  debconf [debconf-2.0]        1.5.19      Debian configuration management sy
ii  initramfs-tools [linux-initr 0.91d       tools for generating an initramfs
ii  module-init-tools            3.3-pre11-4 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.24-1-686 recommends:
ii  libc6-i686                    2.7-6      GNU C Library: Shared libraries [i

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.24-1-686/preinst/overwriting-modules-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/bootloader-error-2.6.24-1-686:
  linux-image-2.6.24-1-686/postinst/create-kimage-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/old-system-map-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/prerm/would-invalidate-boot-loader-2.6.24-1-686: true
  linux-image-2.6.24-1-686/preinst/initrd-2.6.24-1-686:
  linux-image-2.6.24-1-686/preinst/failed-to-move-modules-2.6.24-1-686:
  linux-image-2.6.24-1-686/postinst/depmod-error-initrd-2.6.24-1-686: false
  linux-image-2.6.24-1-686/preinst/bootloader-initrd-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/old-initrd-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/preinst/lilo-has-ramdisk:
  linux-image-2.6.24-1-686/postinst/old-dir-initrd-link-2.6.24-1-686: true
  linux-image-2.6.24-1-686/preinst/abort-install-2.6.24-1-686:
  linux-image-2.6.24-1-686/prerm/removing-running-kernel-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/depmod-error-2.6.24-1-686: false
  linux-image-2.6.24-1-686/preinst/abort-overwrite-2.6.24-1-686:
  linux-image-2.6.24-1-686/preinst/elilo-initrd-2.6.24-1-686: true
  linux-image-2.6.24-1-686/postinst/bootloader-test-error-2.6.24-1-686:
  linux-image-2.6.24-1-686/postinst/kimage-is-a-directory:
  linux-image-2.6.24-1-686/preinst/lilo-initrd-2.6.24-1-686: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 464191@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 464191-submitter@bugs.debian.org
Cc: 464191@bugs.debian.org
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Tue, 5 Feb 2008 11:44:10 -0700
On Tue, Feb 05, 2008 at 01:02:51PM -0500, Rob Bochan wrote:
> Package: linux-image-2.6.24-1-686
> Version: 2.6.24-2
> Severity: normal
> 
> With the upgrade to linux-image-2.6.24-1-686, sound no onger works on this
> machine. Strting KDE gives me the artsmessage "Error while initializing the
> sound driver:
> device /dev/dsp can't be opened (No such file or directory)"
> It does work properly with the previous kernels, including 2.6.22-3-686.
> lspci lists:
> '$ lspci |grep audio
> 00:0d.0 Multimedia audio controller: ESS Technology ES1983S Maestro-3i PCI
> Audio Accelerator'

Rob,
 Does /dev/dsp reappear if you run the following?
  # modprobe snd-pcm-oss

-- 
dann frazier





Message sent on to Rob Bochan <robslaptop@gmail.com>:
Bug#464191. Full text and rfc822 format available.

Information stored:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to robslaptop@gmail.com:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #18 received at 464191-quiet@bugs.debian.org (full text, mbox):

From: Rob Bochan <robslaptop@gmail.com>
To: dann frazier <dannf@debian.org>, 464191-quiet@bugs.debian.org
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Tue, 5 Feb 2008 15:32:32 -0500
On Tuesday 05 February 2008 01:44:10 pm dann frazier wrote:

>
> Rob,
>  Does /dev/dsp reappear if you run the following?
>   # modprobe snd-pcm-oss

No, it does not.
I also noticed this in dmesg:
Maestro3: probe of 0000:00:0d.0 failed with error -2

Here's lsmod before 'modprobe snd-pcm-oss'
# lsmod |grep snd
snd_maestro3           21188  0 
firmware_class          9408  2 pcmcia,snd_maestro3
snd_ac97_codec         92932  1 snd_maestro3
ac97_bus                2176  1 snd_ac97_codec
snd_pcm                71780  2 snd_maestro3,snd_ac97_codec
snd_timer              21092  1 snd_pcm
snd_page_alloc         10056  1 snd_pcm
snd                    48612  4 snd_maestro3,snd_ac97_codec,snd_pcm,snd_timer
soundcore               7552  1 snd

Here's lsmod after 'modprobe snd-pcm-oss'
# lsmod |grep snd
snd_pcm_oss            38272  0 
snd_mixer_oss          15296  1 snd_pcm_oss
snd_maestro3           21188  0 
firmware_class          9408  2 pcmcia,snd_maestro3
snd_ac97_codec         92932  1 snd_maestro3
ac97_bus                2176  1 snd_ac97_codec
snd_pcm                71780  3 snd_pcm_oss,snd_maestro3,snd_ac97_codec
snd_timer              21092  1 snd_pcm
snd_page_alloc         10056  1 snd_pcm
snd                    48612  6 
snd_pcm_oss,snd_mixer_oss,snd_maestro3,snd_ac97_codec,snd_pcm,snd_timer
soundcore               7552  1 snd


...Rob




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Matěj Laitl <strohel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #23 received at 464191@bugs.debian.org (full text, mbox):

From: Matěj Laitl <strohel@gmail.com>
To: 464191@bugs.debian.org
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Thu, 7 Feb 2008 00:10:01 +0100
Hi,

while I'm not a Debian user, I think I am able to point you at the potentional 
root of this problem. I saw following line your dmesg:
Maestro3: probe of 0000:00:0d.0 failed with error -2

The cause is probably the missing firmware for your card. The firmware can be 
either embedded into the kernel or distributed alone, depending on the 
CONFIG_SND_MAESTRO3_FIRMWARE_IN_KERNEL kernel config option. See following 
lines from kernel's sound/pci/maestro3.c:
61 #ifndef CONFIG_SND_MAESTRO3_FIRMWARE_IN_KERNEL
62 MODULE_FIRMWARE("ess/maestro3_assp_kernel.fw");
63 MODULE_FIRMWARE("ess/maestro3_assp_minisrc.fw");
64 #endif

So in order for this card to work, you need either package with firmware 
(alsa-firmware usually) or CONFIG_SND_MAESTRO3_FIRMWARE_IN_KERNEL option 
enabled. I guess Debian switched this option from yes to no between kernel 
versions.

Regards,
	Matěj Laitl




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to mikko.i.nurminen@iki.fi:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 464191@bugs.debian.org (full text, mbox):

From: "Mikko Nurminen" <mikko.i.nurminen@gmail.com>
To: 464191@bugs.debian.org
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Thu, 7 Feb 2008 09:09:24 +0200
I am also left with a mute laptop, a HP 6100 with ESS Technology
ES1988 Allegro-1 (rev 12) sound chip. Matěj Laitl seems to be spot in
his post since in I found this in Debian kernel changelog :

linux-2.6  (2.6.23-1) unstable; urgency=low
...
* Remove binary only firmwares for:
...
 - ESS Allegro/Maestro3
...

While I understand and support the whole "up yours, binary only
firmwares" view, I also do like having sound. Is there any chance of
getting the needed firmware in kernel or as a module in Debian.
Package alsa-firmware-loaders doesn't seem to handle a module for
these chips.

Cheerio,
Mikko Nurminen

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Matěj Laitl <strohel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #33 received at 464191@bugs.debian.org (full text, mbox):

From: Matěj Laitl <strohel@gmail.com>
To: mikko.i.nurminen@iki.fi, 464191@bugs.debian.org
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Thu, 7 Feb 2008 12:30:11 +0100
On Thursday 07 of February 2008 08:09:24 Mikko Nurminen wrote:
> Package alsa-firmware-loaders doesn't seem to handle a module for
> these chips.

This is not the right package, the right one is just "alsa-firmware", which is 
evidently not packaged in Debian. You can get it from the alsa project, e.g.: 
ftp://ftp.alsa-project.org/pub/firmware/

Please note that this package does not contain the module, only firmware, 
which is needed by the in-kernel module. (The firmware needs to be installed 
somewhere where the kernel finds it, usually something like this:
/lib/firmware/ess/maestro3_assp_kernel.fw 
/lib/firmware/ess/maestro3_assp_minisrc.fw)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to robslaptop@gmail.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #38 received at 464191@bugs.debian.org (full text, mbox):

From: Rob Bochan <robslaptop@gmail.com>
To: 464191@bugs.debian.org
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Tue, 12 Feb 2008 18:23:17 -0500
So now I've got to recompile my kernel just to have sound?
How nice. I haven't had to do that since about 1998. I guess this is good 
enough reason as any to remove Debian from my laptop. Sad too, it's been 
Debian since before Woody was released.

...Rob




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Timo-Tuomas Koivisto <tkoivi@cs.joensuu.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #43 received at 464191@bugs.debian.org (full text, mbox):

From: Timo-Tuomas Koivisto <tkoivi@cs.joensuu.fi>
To: 464191@bugs.debian.org
Subject: Sound broken with linux-image-2.6.24-1-686
Date: Tue, 26 Feb 2008 21:34:06 +0200 (EET)
I also got this problem, so it would be nice if this problem could be 
solved. I also got a few questions about this...

1.) Is the only option getting the sound rebuilding the kernel with 
alsa-firmware?

2.) Will there be an easyer way after 2.6.4-1? Because 2.6.23 works just 
fine and i think there will be others as well fighting with this problem.

-Tipi Koivisto




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Gabor Burjan <buga@buvoshetes.hu>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #48 received at 464191@bugs.debian.org (full text, mbox):

From: Gabor Burjan <buga@buvoshetes.hu>
To: Rob Bochan <robslaptop@gmail.com>
Cc: 464191@bugs.debian.org
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Mon, 31 Mar 2008 07:26:12 +0200
On Tue, Feb 12, 2008 at 06:23:17PM -0500, Rob Bochan wrote:
> So now I've got to recompile my kernel just to have sound?
> How nice. I haven't had to do that since about 1998. I guess this is good 
> enough reason as any to remove Debian from my laptop. Sad too, it's been 
> Debian since before Woody was released.

You do not need to recompile the kernel, you need the appropriate binary
firmware blob.  Get the firmware package 

  ftp://ftp.alsa-project.org/pub/firmware/alsa-firmware-1.0.16.tar.bz2

and run ./configure && make && make install

After this you should have the following files present:

  /lib/firmware/ess/maestro3_assp_kernel.fw
  /lib/firmware/ess/maestro3_assp_minisrc.fw

Then, run rmmod snd_maestro3 and modprobe snd_maestro3 again.

HTH,
Gabor




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to Timo-Tuomas Koivisto <tkoivi@cs.joensuu.fi>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #53 received at 464191@bugs.debian.org (full text, mbox):

From: Timo-Tuomas Koivisto <tkoivi@cs.joensuu.fi>
To: Gabor Burjan <buga@buvoshetes.hu>
Cc: Rob Bochan <robslaptop@gmail.com>, 464191@bugs.debian.org, debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Mon, 31 Mar 2008 12:59:58 +0300 (EEST)
Thank you Gabor. I got my sounds back on this prescription!

I hope it will be fixed on next kernels release though.

On Mon, 31 Mar 2008, Gabor Burjan wrote:

> On Tue, Feb 12, 2008 at 06:23:17PM -0500, Rob Bochan wrote:
>> So now I've got to recompile my kernel just to have sound?
>> How nice. I haven't had to do that since about 1998. I guess this is good
>> enough reason as any to remove Debian from my laptop. Sad too, it's been
>> Debian since before Woody was released.
>
> You do not need to recompile the kernel, you need the appropriate binary
> firmware blob.  Get the firmware package
>
>  ftp://ftp.alsa-project.org/pub/firmware/alsa-firmware-1.0.16.tar.bz2
>
> and run ./configure && make && make install
>
> After this you should have the following files present:
>
>  /lib/firmware/ess/maestro3_assp_kernel.fw
>  /lib/firmware/ess/maestro3_assp_minisrc.fw
>
> Then, run rmmod snd_maestro3 and modprobe snd_maestro3 again.
>
> HTH,
> Gabor

-Tipi Koivisto




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-image-2.6.24-1-686. Full text and rfc822 format available.

Acknowledgement sent to paul van den berg <paulbvdberg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #58 received at 464191@bugs.debian.org (full text, mbox):

From: paul van den berg <paulbvdberg@gmail.com>
To: 464191@bugs.debian.org
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Wed, 9 Apr 2008 16:13:58 +0200
I also got this problem on my old laptop with maestro3 device.
Compiling and installing the fimware package worked.

I also got a few questions about this...

1) The error message: 

ACPI: PCI interrupt for device 0000:00:06:0 disabled
Maestro3: probe of 0000:00:06:0 failed with error -2

is not very informative.

Wat does error -2 mean?
Where can I find information on this kind of error messages?
Since when do kernel modules that fail get loaded?
Is Debian going to package the firmware package?

Regards,
Paul van den Berg




Bug reassigned from package `linux-image-2.6.24-1-686' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sat, 26 Jul 2008 20:54:08 GMT) Full text and rfc822 format available.

Merged 464191 465161. Request was from Moritz Muehlenhoff <jmm@debian.org> to control@bugs.debian.org. (Fri, 14 Aug 2009 18:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#464191; Package linux-2.6. (Wed, 24 Feb 2010 22:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 24 Feb 2010 22:12:06 GMT) Full text and rfc822 format available.

Message #67 received at 464191@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Timo-Tuomas Koivisto <tkoivi@cs.joensuu.fi>
Cc: Gabor Burjan <buga@buvoshetes.hu>, Rob Bochan <robslaptop@gmail.com>, 464191@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#464191: Sound broken with linux-image-2.6.24-1-686
Date: Wed, 24 Feb 2010 23:10:24 +0100
severity 464191 wishlist
retitle 464191 Reintroduce Maestro firmware
tags 464191 wontfix
thanks

> >On Tue, Feb 12, 2008 at 06:23:17PM -0500, Rob Bochan wrote:
> >>So now I've got to recompile my kernel just to have sound?
> >>How nice. I haven't had to do that since about 1998. I guess this is good
> >>enough reason as any to remove Debian from my laptop. Sad too, it's been
> >>Debian since before Woody was released.
> >
> >You do not need to recompile the kernel, you need the appropriate binary
> >firmware blob.  Get the firmware package
> >
> > ftp://ftp.alsa-project.org/pub/firmware/alsa-firmware-1.0.16.tar.bz2
> >
> >and run ./configure && make && make install
> >
> >After this you should have the following files present:
> >
> > /lib/firmware/ess/maestro3_assp_kernel.fw
> > /lib/firmware/ess/maestro3_assp_minisrc.fw
> >
> >Then, run rmmod snd_maestro3 and modprobe snd_maestro3 again.

> Thank you Gabor. I got my sounds back on this prescription!
> 
> I hope it will be fixed on next kernels release though.

We cannot distribute the firmware unfortunately. However, there are
instructions how to fix this locally: http://wiki.debian.org/snd-maestro3

Cheers,
        Moritz




Severity set to 'wishlist' from 'normal' Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Wed, 24 Feb 2010 22:12:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'Reintroduce Maestro firmware' from 'Sound broken with linux-image-2.6.24-1-686' Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Wed, 24 Feb 2010 22:12:09 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from Moritz Muehlenhoff <jmm@inutil.org> to control@bugs.debian.org. (Wed, 24 Feb 2010 22:12:11 GMT) Full text and rfc822 format available.

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 13 Mar 2011 16:24:10 GMT) Full text and rfc822 format available.

Notification sent to Rob Bochan <robslaptop@gmail.com>:
Bug acknowledged by developer. (Sun, 13 Mar 2011 16:24:10 GMT) Full text and rfc822 format available.

Message #78 received at 464191-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 464191-done@bugs.debian.org
Subject: Re: Sound broken with linux-image-2.6.24-1-686
Date: Sun, 13 Mar 2011 16:21:30 +0000
[Message part 1 (text/plain, inline)]
On Tue, 2008-02-05 at 13:02 -0500, Rob Bochan wrote:
> Package: linux-image-2.6.24-1-686
> Version: 2.6.24-2
> Severity: normal
> 
> With the upgrade to linux-image-2.6.24-1-686, sound no onger works on this
> machine. Strting KDE gives me the artsmessage "Error while initializing the
> sound driver:
> device /dev/dsp can't be opened (No such file or directory)"
> It does work properly with the previous kernels, including 2.6.22-3-686.
> lspci lists:
> '$ lspci |grep audio
> 00:0d.0 Multimedia audio controller: ESS Technology ES1983S Maestro-3i PCI
> Audio Accelerator'
[...]

As explained previously, we removed the firmware for this device because
the licence does not allow us to distribute it.  It is labelled as
licenced under the GPLv2, but since no source code is provided we cannot
fulfil the terms of that licence.  Closing the bug, as it cannot be
fixed.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 13 Mar 2011 16:24:11 GMT) Full text and rfc822 format available.

Notification sent to Tim Connors <reportbug@rather.puzzling.org>:
Bug acknowledged by developer. (Sun, 13 Mar 2011 16:24:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Apr 2011 07:46:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:22:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.